Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:47 2009

## Asterisk developer's documentation

# outgoing Struct Reference

Collaboration diagram for outgoing:

[legend]

## Data Fields

char | account [AST_MAX_ACCOUNT_CODE]
char | app [256]
int | callingpid
char | cid_name [256]
char | cid_num [256]
char | context [256]
char | data [256]
char | dest [256]
char | exten [256]
char | fn [256]
int | maxlen
int | maxretries
int | priority
int | retries
int | retrytime
char | tech [256]
struct ast_variable * | vars
int | waittime

## Detailed Description

Definition at line 59 of file pbx_spool.c.

## Field Documentation

char account[AST_MAX_ACCOUNT_CODE]

Definition at line 90 of file pbx_spool.c.

Referenced by apply_outgoing(), and attempt_thread().

char app[256]

Definition at line 77 of file pbx_spool.c.

Referenced by apply_outgoing(), and attempt_thread().

int callingpid

Definition at line 70 of file pbx_spool.c.

Referenced by apply_outgoing(), and scan_service().

char cid_name[256]

Definition at line 87 of file pbx_spool.c.

Referenced by apply_outgoing(), and attempt_thread().

char cid_num[256]

Definition at line 86 of file pbx_spool.c.

Referenced by apply_outgoing(), and attempt_thread().

char context[256]

Definition at line 82 of file pbx_spool.c.

Referenced by apply_outgoing(), and attempt_thread().

char data[256]

Definition at line 78 of file pbx_spool.c.

Referenced by apply_outgoing(), and attempt_thread().

char dest[256]

Definition at line 74 of file pbx_spool.c.

Referenced by apply_outgoing(), attempt_thread(), and scan_service().

char exten[256]

Definition at line 81 of file pbx_spool.c.

Referenced by apply_outgoing(), and attempt_thread().

char fn[256]

Definition at line 60 of file pbx_spool.c.

Referenced by apply_outgoing(), attempt_thread(), safe_append(), and scan_service().

int maxlen

Definition at line 96 of file pbx_spool.c.

int maxretries

Definition at line 64 of file pbx_spool.c.

Referenced by apply_outgoing(), attempt_thread(), and scan_service().

int priority

Definition at line 83 of file pbx_spool.c.

Referenced by apply_outgoing(), attempt_thread(), and init_outgoing().

int retries

Definition at line 62 of file pbx_spool.c.

Referenced by apply_outgoing(), attempt_thread(), safe_append(), and scan_service().

int retrytime

Definition at line 66 of file pbx_spool.c.

Referenced by apply_outgoing(), init_outgoing(), safe_append(), and scan_service().

char tech[256]

Definition at line 73 of file pbx_spool.c.

Referenced by apply_outgoing(), attempt_thread(), and scan_service().

struct ast_variable* vars`[read]`

Definition at line 93 of file pbx_spool.c.

Referenced by apply_outgoing(), and attempt_thread().

int waittime

Definition at line 68 of file pbx_spool.c.

Referenced by apply_outgoing(), attempt_thread(), and init_outgoing().

The documentation for this struct was generated from the following file:

- pbx_spool.c